$TITLE	 A simple maquette for activity analysis in MCP


SET		T	TECHNOLOGIES	/T0, T1, T2/;
PARAMETER	C(T)	COSTS		/T0 1,T1 4, T2 5/;

$ONTEXT
$MODEL:ELEC

$SECTORS:
	E(T)

$COMMODITIES:
	PE	! PRICE OF ENERGY
	PX	! PRICE INDEX OF OTHER GOODS
	PR(T)	! RENTAL RATE ON CAPITAL

$CONSUMERS:
	RA

$PROD:E(T)	s:0
	O:PE	Q:1
	I:PX	Q:(C(T)/4)
	I:PR(T)	Q:(3/4)

$DEMAND:RA  s:1
	E:PX	Q:94
	E:PR(T)	Q:3
	E:PE	Q:1
	D:PX	Q:95
	D:PE	Q:5

$OFFTEXT

$SYSINCLUDE mpsgeset elec


elec.iterlim = 1000;
$INCLUDE elec.gen

SOLVE ELEC USING MCP;


$ontext
POSITIVE VARIABLES
	E(T)		Energy supply by technology T
	PE		Price of energy
	PX		Price index of other goods
	PR(T)		Rental rate on capital

	RA		Income level of representative consumer;
$offtext

EQUATIONS
	ZPRF_E(T)	Zero profit condition

	MKT_PE		Market clearance for energy
	MKT_PR		Market clearnace for technology specfic capital
	MKT_PX		Market clearance for macro good

	INCOME		Income constraint;



ZPRF_E(T)..	(3/4)*PR(T) + (C(T)/4)*PX =E= PE;

MKT_PE..	SUM(T, E(T)) + 1 =E= 5* (RA/100)/PE;	
MKT_PR(T)..	3		 =E= (3/4)*E(T);
MKT_PX..	94		 =E= SUM(T, (C(T)/4)*E(T))+ 95*(RA/100)/PX ;
INCOME..	94*PX + SUM(T, PR(T)*3) + PE	=E= RA; 


*.PX.LO = 1.E-5; PE.LO = 1.E-5;
*.RA.L = 100; PE.L = 1; PX.L = 1; PR.L(T) = 1; E.L(T) = 1;

MODEL	ACTIVITY /ZPRF_E.E, MKT_PE.PE, MKT_PR.PR, MKT_PX.PX, INCOME.RA /;

ACTIVITY.ITERLIM = 0;
SOLVE ACTIVITY USING MCP;
