$TITLE: CLOSED ECONOMY 2*2 IN MPSGE SCALAR AND VECTOR SYNTAX

$ontext
The stylized economy is described as follows:
(i)     Agents: two producers, one representative household
(ii)    Behaviorial rules:
        producers maximize profits subject to technological constraints
        consumers maximize utility subject to budget constraint
(iii)   Market structure: perfectly competitive markets
(iv)    Technologies, preferences and resource endowments
        Two factors: capital K and labour L
        Cobb-Douglas functions for producer (goods) S2 and S2 with inputs K & L
        Cobb-Douglas utility function in goods S1 and S2
(v)     Benchmark equilibrium as given below
$offtext

*SAM: ROWS ARE COMMDITIES, COLUMNS ARE ACTIVITIES AND DEMANDS

TABLE BMFLOW(*,*) BENCHMARK FLOWS

               X       Y       W       CONS     ROWSUM
  X          100            -100                     0
  Y                  100    -100                     0
  UTIL                       200      -200           0
  L          -40     -60               100           0
  K          -60     -40               100           0
* COLSUM       0       0        0        0
                                                        ;


*       Formulation in MPSGE SCALAR SYNTAX 
*       (NO USE OF GAMS FRONT-END FOR DATA HANDLING)

$ONTEXT
$MODEL:BASIC

$SECTORS:
        X    ! Activity level for X sector
        Y    ! Activity level for Y sector
        W    ! Activity level for utility production(Hicksian welfare index)


$COMMODITIES:
        PX   ! Price index for X commodity
        PY   ! Price index for Y commodity
        PL   ! Price index for labor
        PK   ! Price index for capital
        PW   ! Price index for welfare (expenditure funtion) 

$CONSUMERS:
        RA   ! Consumer income level

$PROD:X s:1
        O:PX    Q:100
        I:PL    Q:40        
        I:PK    Q:60        

$PROD:Y s:1
        O:PY    Q:100
        I:PL    Q:60       
        I:PK    Q:40        

$PROD:W s:1
        O:PW    Q:200
        I:PX    Q:100       
        I:PY    Q:100       

$DEMAND:RA
        D:PW    Q:200
        E:PL    Q:100
        E:PK    Q:100

$OFFTEXT

$SYSINCLUDE mpsgeset BASIC

        BASIC.WORKSPACE = 4;

* Do benchmark replication:
        BASIC.ITERLIM = 0;
$INCLUDE BASIC.GEN
        SOLVE BASIC USING MCP;


