$ontext
Production Sectors                      Consumer
Markets   |     X1      X2      E       M        W       CONS
------------------------------------------------------------------
P1        |     150             -100    50      -100
P2        |             50      -25     75      -100
PL        |     -100    -20                              120
PK        |     -50     -30                               80
PW        |                                      200    -200
PFX       |                     125     -125
------------------------------------------------------------------
$offtext


SCALAR          ESUBDM  Armington elasticity of substitution / 4 /;

$ONTEXT

$MODEL:arm

$SECTORS:
        X1      ! Production index for good 1
        X2      ! Production index good 2
        AM1     ! Armington import index for good 1
        AM2     ! Armington import index for good 2
        W       ! Welfare index 

$COMMODITIES:
        P1      ! Price index for good 1
        P2      ! Price index for good 1        
        PA_1    ! Price index for imported good 1
        PA_2    ! Price index for imported good 2
        PFX     ! Read exchange rate index
        PW      ! Welfare price index
        PL      ! Wage index
        PK      ! Capital rental index

$CONSUMERS:
        CONS    ! Income level for representative agent

*       Cobb-Douglas production in both sectors:

$PROD:X1  t:2	s:1
        O:P1    Q:50
        O:PFX	Q:100
		I:PL    Q:100
        I:PK    Q:50
 

$PROD:X2  s:1
        O:P2    Q:25
		O:PFX	Q:25
        I:PL    Q:20
        I:PK    Q:30


$PROD:AM1
        O:PA_1  Q:100
        I:PFX   Q:50
		I:P1	Q:50

$PROD:AM2
        O:PA_2   Q:100
        I:PFX    Q:75
		I:P2	 Q:25  	

*       Cobb-Douglas preferences:

$PROD:W   s:1       
        O:PW    Q:200
        I:PA_1  Q:100
        I:PA_2  Q:100


$DEMAND:CONS
        D:PW    Q:200
        E:PL    Q:120
        E:PK    Q:80

$OFFTEXT
$SYSINCLUDE mpsgeset arm

arm.ITERLIM = 0;
$INCLUDE arm.GEN
SOLVE arm USING MCP;



